public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/gnome:master commit in: media-libs/gst-plugins-good/, media-libs/gstreamer/, ...
@ 2014-10-19 19:38 Mart Raudsepp
  0 siblings, 0 replies; only message in thread
From: Mart Raudsepp @ 2014-10-19 19:38 UTC (permalink / raw
  To: gentoo-commits

commit:     65816c2940ee310d0732dd7c40358b142af7a211
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 19 19:37:09 2014 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Oct 19 19:37:09 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=65816c29

Add main bits of gstreamer-1.4.3 as needed by webkit-gtk and totem for GNOME 3.14

The ext/sys plugins are missing, so this is just a very short term so that people
won't get dependency issues as Gilles adds webkit-gtk and totem. Mixing main bits
and ext/ versions isn't really good, but main tree should receive all these in
short time.

---
 .../gst-plugins-bad/gst-plugins-bad-1.4.3.ebuild   | 56 +++++++++++++
 media-libs/gst-plugins-bad/metadata.xml            |  8 ++
 .../gst-plugins-base/gst-plugins-base-1.4.3.ebuild | 94 ++++++++++++++++++++++
 media-libs/gst-plugins-base/metadata.xml           |  9 +++
 .../gst-plugins-good/gst-plugins-good-1.4.3.ebuild | 58 +++++++++++++
 media-libs/gst-plugins-good/metadata.xml           |  5 ++
 media-libs/gstreamer/gstreamer-1.4.3.ebuild        | 90 +++++++++++++++++++++
 media-libs/gstreamer/metadata.xml                  | 10 +++
 8 files changed, 330 insertions(+)

diff --git a/media-libs/gst-plugins-bad/gst-plugins-bad-1.4.3.ebuild b/media-libs/gst-plugins-bad/gst-plugins-bad-1.4.3.ebuild
new file mode 100644
index 0000000..c7c88c1
--- /dev/null
+++ b/media-libs/gst-plugins-bad/gst-plugins-bad-1.4.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+GST_ORG_MODULE="gst-plugins-bad"
+inherit eutils flag-o-matic gstreamer
+
+DESCRIPTION="Less plugins for GStreamer"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+
+LICENSE="LGPL-2"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="egl +introspection +orc vnc"
+
+# FIXME: we need to depend on mesa to avoid automagic on egl
+# dtmf plugin moved from bad to good in 1.2
+# X11 is automagic for now, upstream #709530
+RDEPEND="
+	>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	>=media-libs/gst-plugins-base-1.2:${SLOT}[${MULTILIB_USEDEP}]
+	>=media-libs/gstreamer-1.2:${SLOT}[${MULTILIB_USEDEP}]
+	egl? ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] )
+	introspection? ( >=dev-libs/gobject-introspection-1.31.1 )
+	orc? ( >=dev-lang/orc-0.4.17[${MULTILIB_USEDEP}] )
+
+	!<media-libs/gst-plugins-good-1.1:${SLOT}
+"
+DEPEND="${RDEPEND}
+	>=dev-util/gtk-doc-am-1.12
+"
+
+src_configure() {
+	strip-flags
+	replace-flags "-O3" "-O2"
+	filter-flags "-fprefetch-loop-arrays" # (Bug #22249)
+
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	gstreamer_multilib_src_configure \
+		$(multilib_native_use_enable introspection) \
+		$(use_enable orc) \
+		$(use_enable vnc librfb) \
+		--disable-examples \
+		--disable-debug \
+		--with-egl-window-system=$(usex egl x11 none)
+}
+
+multilib_src_install_all() {
+	DOCS="AUTHORS ChangeLog NEWS README RELEASE"
+	einstalldocs
+	prune_libtool_files --modules
+}

diff --git a/media-libs/gst-plugins-bad/metadata.xml b/media-libs/gst-plugins-bad/metadata.xml
new file mode 100644
index 0000000..c4beec6
--- /dev/null
+++ b/media-libs/gst-plugins-bad/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>gstreamer</herd>
+	<use>
+		<flag name="egl">Enable EGL support</flag>
+	</use>
+</pkgmetadata>

diff --git a/media-libs/gst-plugins-base/gst-plugins-base-1.4.3.ebuild b/media-libs/gst-plugins-base/gst-plugins-base-1.4.3.ebuild
new file mode 100644
index 0000000..c1a7dc2
--- /dev/null
+++ b/media-libs/gst-plugins-base/gst-plugins-base-1.4.3.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+GST_ORG_MODULE="gst-plugins-base"
+inherit gstreamer
+
+DESCRIPTION="Basepack of plugins for gstreamer"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+
+LICENSE="GPL-2+ LGPL-2+"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="alsa +introspection ivorbis +ogg +orc +pango theora +vorbis X"
+REQUIRED_USE="
+	ivorbis? ( ogg )
+	theora? ( ogg )
+	vorbis? ( ogg )
+"
+
+RDEPEND="
+	app-text/iso-codes
+	>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	>=media-libs/gstreamer-1.2.3:1.0[introspection?,${MULTILIB_USEDEP}]
+	>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+	alsa? ( >=media-libs/alsa-lib-1.0.27.2[${MULTILIB_USEDEP}] )
+	introspection? ( >=dev-libs/gobject-introspection-1.31.1 )
+	ivorbis? ( >=media-libs/tremor-0_pre20130223[${MULTILIB_USEDEP}] )
+	ogg? ( >=media-libs/libogg-1.3.0[${MULTILIB_USEDEP}] )
+	orc? ( >=dev-lang/orc-0.4.18[${MULTILIB_USEDEP}] )
+	pango? ( >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}] )
+	theora? ( >=media-libs/libtheora-1.1.1[encode,${MULTILIB_USEDEP}] )
+	vorbis? ( >=media-libs/libvorbis-1.3.3-r1[${MULTILIB_USEDEP}] )
+	X? (
+		>=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+		>=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+		>=x11-libs/libXv-1.0.10[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+	>=dev-util/gtk-doc-am-1.12
+	X? (
+		>=x11-proto/videoproto-2.3.1-r1[${MULTILIB_USEDEP}]
+		>=x11-proto/xextproto-7.2.1-r1[${MULTILIB_USEDEP}]
+		>=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}] )
+"
+
+src_prepare() {
+	# The AC_PATH_XTRA macro unnecessarily pulls in libSM and libICE even
+	# though they are not actually used. This needs to be fixed upstream by
+	# replacing AC_PATH_XTRA with PKG_CONFIG calls, upstream bug #731047
+	sed -i -e 's:X_PRE_LIBS -lSM -lICE:X_PRE_LIBS:' "${S}"/configure || die
+}
+
+multilib_src_configure() {
+	gstreamer_multilib_src_configure \
+		$(use_enable alsa) \
+		$(multilib_native_use_enable introspection) \
+		$(use_enable ivorbis) \
+		$(use_enable ogg) \
+		$(use_enable orc) \
+		$(use_enable pango) \
+		$(use_enable theora) \
+		$(use_enable vorbis) \
+		$(use_enable X x) \
+		$(use_enable X xshm) \
+		$(use_enable X xvideo) \
+		--disable-debug \
+		--disable-examples \
+		--disable-freetypetest \
+		--disable-static
+	# cdparanoia and libvisual are split out, per leio's request
+
+	# bug #366931, flag-o-matic for the whole thing is overkill
+	if [[ ${CHOST} == *86-*-darwin* ]] ; then
+		sed -i \
+			-e '/FLAGS = /s|-O[23]|-O1|g' \
+			gst/audioconvert/Makefile \
+			gst/volume/Makefile || die
+	fi
+
+	if multilib_is_native_abi; then
+		local x
+		for x in libs plugins; do
+			ln -s "${S}"/docs/${x}/html docs/${x}/html || die
+		done
+	fi
+}
+
+multilib_src_install_all() {
+	DOCS="AUTHORS NEWS README RELEASE"
+	einstalldocs
+	prune_libtool_files --modules
+}

diff --git a/media-libs/gst-plugins-base/metadata.xml b/media-libs/gst-plugins-base/metadata.xml
new file mode 100644
index 0000000..7b5b837
--- /dev/null
+++ b/media-libs/gst-plugins-base/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>gstreamer</herd>
+	<use>
+		<flag name="pango">Enable pango GStreamer plugin</flag>
+		<flag name="ivorbis">Enable integer based vorbis decoder.</flag>
+    </use>
+</pkgmetadata>

diff --git a/media-libs/gst-plugins-good/gst-plugins-good-1.4.3.ebuild b/media-libs/gst-plugins-good/gst-plugins-good-1.4.3.ebuild
new file mode 100644
index 0000000..d923d80
--- /dev/null
+++ b/media-libs/gst-plugins-good/gst-plugins-good-1.4.3.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+GST_ORG_MODULE="gst-plugins-good"
+inherit eutils flag-o-matic gstreamer
+
+DESCRIPTION="Basepack of plugins for gstreamer"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+
+LICENSE="LGPL-2.1+"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="+orc"
+
+# dtmf plugin moved from bad to good in 1.2
+RDEPEND="
+	>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	>=media-libs/gst-plugins-base-1.2.3:${SLOT}[${MULTILIB_USEDEP}]
+	>=media-libs/gstreamer-1.2.4:${SLOT}[${MULTILIB_USEDEP}]
+	>=app-arch/bzip2-1.0.6-r4[${MULTILIB_USEDEP}]
+	>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+	orc? ( >=dev-lang/orc-0.4.17[${MULTILIB_USEDEP}] )
+
+	!<media-libs/gst-plugins-bad-1.1:${SLOT}
+"
+DEPEND="${RDEPEND}
+	>=dev-util/gtk-doc-am-1.12
+"
+
+src_configure() {
+	# gst doesnt handle optimisations well
+	strip-flags
+	replace-flags "-O3" "-O2"
+	filter-flags "-fprefetch-loop-arrays" # see bug 22249
+
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	# Always enable optional bz2 support for matroska
+	# Always enable optional zlib support for qtdemux and matroska
+	# Many media files require these to work, as some container headers are often
+	# compressed, bug #291154
+	gstreamer_multilib_src_configure \
+		--enable-bz2 \
+		--enable-zlib \
+		--disable-examples \
+		--with-default-audiosink=autoaudiosink \
+		--with-default-visualizer=goom
+}
+
+multilib_src_install_all() {
+	DOCS="AUTHORS ChangeLog NEWS README RELEASE"
+	einstalldocs
+	prune_libtool_files --modules
+}

diff --git a/media-libs/gst-plugins-good/metadata.xml b/media-libs/gst-plugins-good/metadata.xml
new file mode 100644
index 0000000..d1096fb
--- /dev/null
+++ b/media-libs/gst-plugins-good/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>gstreamer</herd>
+</pkgmetadata>

diff --git a/media-libs/gstreamer/gstreamer-1.4.3.ebuild b/media-libs/gstreamer/gstreamer-1.4.3.ebuild
new file mode 100644
index 0000000..ee3f445
--- /dev/null
+++ b/media-libs/gstreamer/gstreamer-1.4.3.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit eutils multilib multilib-minimal pax-utils
+
+DESCRIPTION="Streaming media framework"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+SRC_URI="http://${PN}.freedesktop.org/src/${PN}/${P}.tar.xz"
+
+LICENSE="LGPL-2+"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+introspection nls +orc test"
+
+RDEPEND="
+	>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	introspection? ( >=dev-libs/gobject-introspection-1.31.1 )
+"
+DEPEND="${RDEPEND}
+	app-arch/xz-utils
+	>=dev-util/gtk-doc-am-1.12
+	sys-devel/bison
+	sys-devel/flex
+	>=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+	nls? ( sys-devel/gettext )
+"
+# gtk-doc-am to install API docs
+
+src_configure() {
+	if [[ ${CHOST} == *-interix* ]] ; then
+		export ac_cv_lib_dl_dladdr=no
+		export ac_cv_func_poll=no
+	fi
+	if [[ ${CHOST} == powerpc-apple-darwin* ]] ; then
+		# GCC groks this, but then refers to an implementation (___multi3,
+		# ___udivti3) that don't exist (at least I can't find it), so force
+		# this one to be off, such that we use 2x64bit emulation code.
+		export gst_cv_uint128_t=no
+	fi
+
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	# Set 'libexecdir' to ABI-specific location for the library spawns
+	# helpers from there.
+	# Disable static archives, dependency tracking and examples
+	# to speed up build time
+	# Disable debug, as it only affects -g passing (debugging symbols), this must done through make.conf in gentoo
+	ECONF_SOURCE=${S} \
+	econf \
+		--libexecdir=/usr/$(get_libdir) \
+		--disable-debug \
+		--disable-examples \
+		--disable-static \
+		--disable-valgrind \
+		--enable-check \
+		$(multilib_native_use_enable introspection) \
+		$(use_enable nls) \
+		$(use_enable test tests) \
+		--with-package-name="GStreamer ebuild for Gentoo" \
+		--with-package-origin="http://packages.gentoo.org/package/media-libs/gstreamer"
+
+	if multilib_is_native_abi; then
+		local x
+		for x in gst libs plugins; do
+			ln -s "${S}"/docs/${x}/html docs/${x}/html || die
+		done
+	fi
+}
+
+multilib_src_install() {
+	# can't do "default", we want to install docs in multilib_src_install_all
+	emake DESTDIR="${D}" install
+
+	# Needed for orc-using gst plugins on hardened/PaX systems, bug #421579
+	use orc && pax-mark -m "${ED}usr/$(get_libdir)/gstreamer-${SLOT}/gst-plugin-scanner"
+}
+
+multilib_src_install_all() {
+	DOCS="AUTHORS ChangeLog NEWS MAINTAINERS README RELEASE"
+	einstalldocs
+	prune_libtool_files --modules
+
+	# Needed for orc-using gst plugins on hardened/PaX systems, bug #421579
+	use orc && pax-mark -m "${ED}usr/bin/gst-launch-${SLOT}"
+}

diff --git a/media-libs/gstreamer/metadata.xml b/media-libs/gstreamer/metadata.xml
new file mode 100644
index 0000000..5ed0f2f
--- /dev/null
+++ b/media-libs/gstreamer/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>gstreamer</herd>
+	<use>
+		<flag name="orc">Disable some PaX memory protections to allow plugins
+			that use <pkg>dev-lang/orc</pkg> for runtime optimization to be
+			used on hardened PaX systems</flag>
+	</use>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2014-10-19 19:38 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-10-19 19:38 [gentoo-commits] proj/gnome:master commit in: media-libs/gst-plugins-good/, media-libs/gstreamer/, Mart Raudsepp

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox